Upgrade from 1.3.10 to 1.4.3 - ERROR: could not find driver

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade from 1.3.10 to 1.4.3 - ERROR: could not find driver

Sophie Loewenthal
Hi,

I just attempted an upgrade from 1.3.10 to 1.4.3.  The backend is sqlite.  This was the error message:

"
Running update script at target...
WARNING: Changed defaults (These config options have new default values):
- 'skin'
- 'smtp_port'
- 'smtp_user'
- 'smtp_pass'
- 'jquery_ui_skin_map'
Executing database schema update.
ERROR: could not find driver
ERROR: Failed to connect to database
All done.
"

Otherwise, it seems to work :)

The login screen has changed from a gray background to a white one.  How can I changed this back?  My custom branding does not look good with a white background.

Thanks for v 1.4.

Sophie




_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade from 1.3.10 to 1.4.3 - ERROR: could not find driver

@lbutlr
On 05 Mar 2020, at 12:21, Sophie Loewenthal <[hidden email]> wrote:
> The login screen has changed from a gray background to a white one.  How can I changed this back?  My custom branding does not look good with a white background.

Nothing in RC 1.4 looks good with a white background. The new look is hideous and unreadable. Tha nkfully, I nearly never use the webmail myself.



--
Here are people who know that there is no steel, only the idea of
        steel. Footnote: But they still use forks, or, at least, the idea
        of forks. There may, as the philosopher says, be no spoon,
        although this begs the question of why there is the idea of soup.

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Dan
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade from 1.3.10 to 1.4.3 - ERROR: could not find driver

Dan
Can you achieve this with less?

...
 new Elastic theme, which is the new default skin, is built with LESS and of course the sources are included. They allow a certain degree of customization by adjusting some colors and variables using the _styles.less and _variables.less files.
...

Sent from my Verizon, Samsung Galaxy smartphone


-------- Original message --------
From: "@lbutlr" <[hidden email]>
Date: 3/5/20 11:40 PM (GMT-07:00)
To: Roundcube Users mailing list <[hidden email]>
Subject: Re: [RCU] Upgrade from 1.3.10 to 1.4.3 - ERROR: could not find driver

On 05 Mar 2020, at 12:21, Sophie Loewenthal <[hidden email]> wrote:
> The login screen has changed from a gray background to a white one.  How can I changed this back?  My custom branding does not look good with a white background.

Nothing in RC 1.4 looks good with a white background. The new look is hideous and unreadable. Tha nkfully, I nearly never use the webmail myself.



--
Here are people who know that there is no steel, only the idea of
steel. Footnote: But they still use forks, or, at least, the idea
of forks. There may, as the philosopher says, be no spoon,
although this begs the question of why there is the idea of soup.

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade from 1.3.10 to 1.4.3 - ERROR: could not find driver

@lbutlr
On 06 Mar 2020, at 06:38, darkc0de <[hidden email]> wrote:
> Can you achieve this with less?

Perhaps. But what I cannot do is allow users to set res=asonable preferences, The current default is largely unreadable for anyone over 35 or so, which a lot of light text on a light background.

If I used the webmail myself, I would investigate legible themes (or legible changes to the default theme), but as it is it is not worth the time this would take.

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade from 1.3.10 to 1.4.3 - ERROR: could not find driver

Sophie Loewenthal
> The current default is largely unreadable for anyone over 35.

Yes. This.

I should say 75% of my users are over 35 years old.

On 7 Mar 2020, at 9:02 pm, @lbutlr <[hidden email]> wrote:

> On 06 Mar 2020, at 06:38, darkc0de <[hidden email]> wrote:
> Can you achieve this with less?

Perhaps. But what I cannot do is allow users to set res=asonable preferences, The current default is largely unreadable for anyone over 35 or so, which a lot of light text on a light background.

If I used the webmail myself, I would investigate legible themes (or legible changes to the default theme), but as it is it is not worth the time this would take.

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users